﻿
using SqlSugar;
using SqlSugarORM;
using System.Collections.Concurrent;
using System.Diagnostics;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Text;
using System.Text.Json;
using Universal;
using Universal.IO;

namespace Test;

internal class Program
{
    static void Main()
    {
        SqlSugarCustom orm = new();

        orm.Initialize(null);
        string dbString = "Database=thermaldb;Password=123456;Host=localhost;Username=postgres;Persist Security Info=True";
        //string dbString = "Database=Kepler;Password=123456;Host=localhost;Username=postgres;Persist Security Info=True";
        if (!orm.Open(dbString, DbType.PostgreSQL, true))
        {
            Console.WriteLine("Connect Failed");
            return;
        }

        dynamic[] t = orm._Client!.Queryable<dynamic>().AS("\"20250627.PM1\"").Take(10).ToArray();
        //dynamic[] t = orm._Client!.Queryable<dynamic>().AS("\"20250626.Data\"").Take(1).ToArray();
        //KeplerData processData = new();
        GeneralProcessData processData = new();
        processData.ToDictionary(t, out Dictionary<string, object>? outputs);
        foreach (var item in outputs)
        {
            string s = JsonSerializer.Serialize(item);
            Console.WriteLine(s);
            Console.WriteLine();
        }
        //int totalCount = 0;
        //int totalPages = 0;
        //dynamic[] page = orm._Client!.Queryable<dynamic>().AS("\"20250626.Data\"").ToPageList(1, 1000, ref totalCount, ref totalPages).ToArray();
    }
}


