﻿namespace UICommon.CommonContainer;

public class ContainerInfo(int index, string? name, string moduleName, bool isDefault, ImageSource imageSource, bool isHidden = false)
{
    public int Index { get; } = index;
    public string? Name { get; } = name;
    public string ModuleName { get; } = moduleName;
    public bool IsDefault { get; } = isDefault;
    public ImageSource Icon { get; } = imageSource;
    public bool IsHidden { get; } = isHidden;
}