﻿using CommunityToolkit.Mvvm.ComponentModel;
using GeneralData;

namespace GlobalData;

public partial class DeviceInfo_VM : ObservableObject
{
    [ObservableProperty]
    private DeviceModel _DeviceModel;
    [ObservableProperty]
    private string? _DeviceSubModel;
    [ObservableProperty]
    private string? _DeviceName;
    [ObservableProperty]
    private string? _Position;
    [ObservableProperty]
    private string? _SoftwareVersion;
    [ObservableProperty]
    private Guid? _Guid;
    [ObservableProperty]
    private string? _IP;
    [ObservableProperty]
    private ushort _Port;
    [ObservableProperty]
    private string? _DBConnectionString;

    [ObservableProperty]
    private bool _ConfigUpdating;

    [ObservableProperty]
    private DateTime _UpdateTime;

    [ObservableProperty]
    private bool _IsConnected;
}